Create a Lightning Address

Create and associate a lightning address to an IBEX Hub account

The IBEX Hub account tied to generated lightning address is credited every time a payment is made to lightning address.

Multiple lightning addresses could be associated to an IBEX Hub account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Webhook

Every time someone pays this lnurl, you will be notified via the webhook.
The webhook has the following body:

{
  "hash": string,
  "settledAtUtc": string,
  "receivedMsat": int,
  "webhookSecret": string,
  "transaction": {
    "id": srting,
    "createdAt": string,
    "accountId": string,
    "amount": float,
    "networkFee": float,
    "exchangeRateCurrencySats": float,
    "currencyID": int,
    "transactionTypeId": int,
    "invoice": {
      "hash": string,
      "bolt11": string,
      "preImage": sring,
      "memo": string,
      "creationDateUtc": string,
      "expiryDateUtc": string,
      "settleDateUtc": string,
      "amountMsat": int,
      "receiveMsat": int,
      "stateId": int,
      "state": {
        "id": int,
        "name": string,
        "description": string
      }
    }
  },
  "lightningAddress": {
    "id": string,
    "accountId": string,
    "username": string
  }
}
Body Params
string
required

The account to associate the lightning address to

string
required

The username for the lightning address

string

Get notified when the address receives funds

string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json